> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Get an Agent by ID



## OpenAPI

````yaml get /v1/agents/{agent_id}
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{agent_id}:
    get:
      tags:
        - V1 - Agents (Co-workers)
      summary: Get Agent
      operationId: get_agent
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Assistant'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Assistant:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        definition:
          additionalProperties: true
          type: object
          title: Definition
        visible:
          type: boolean
          title: Visible
          default: true
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        app_settings_v2:
          anyOf:
            - $ref: '#/components/schemas/AppSettingsV2'
            - type: 'null'
        is_app_published:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is App Published
        allow_public_access:
          type: boolean
          title: Allow Public Access
          default: false
        meta:
          anyOf:
            - $ref: '#/components/schemas/AssistantMeta'
            - type: 'null'
      type: object
      required:
        - id
        - group_id
        - name
        - definition
      title: Assistant
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppSettingsV2:
      properties:
        is_active:
          type: boolean
          title: Is Active
          default: false
        version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Id
        interface_type:
          anyOf:
            - $ref: '#/components/schemas/AppInterfaceType'
            - type: 'null'
        extra_settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Settings
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
      type: object
      title: AppSettingsV2
    AssistantMeta:
      properties:
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
      type: object
      title: AssistantMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AppInterfaceType:
      type: string
      enum:
        - slack
        - teams
        - chat
        - form
        - whatsapp
        - embed_widget
      title: AppInterfaceType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````